## dftp 2.2

=== debian/changelog ===
dftp (2.2-1) unstable; urgency=low

  * Fixed bug about "odd number of element to hash"
  * Fixed bug about missing "input_record_separator" with new perl.

 -- Brian White <bcwhite@verisim.com>  Mon, 18 Nov 1996 14:23:46 -0500

dftp (2.1-1) unstable; urgency=high

  * Fixed bug with installing "downgrade" packages.
  * Added support for installing certain packages by themselves.

 -- Brian White <bcwhite@verisim.com>  Fri,  1 Nov 1996 15:40:00 -0500

dftp (2.0-1) unstable; urgency=low

  * Upgraded to Perl!

 -- Brian White <bcwhite@verisim.com>  Sat, 24 Aug 1996 15:26:22 -0400


Local variables:
mode: debian-changelog
End:
