=== debian/control ===
Source: dftp
Section: admin
Priority: optional
Maintainer: Brian C. White <bcwhite@verisim.com>
Standards-Version: 2.1.1.0

Package: dftp
Depends: perl, dpkg(>=1.4)
Architecture: all
Description: Linux "Debian Distribution" Packages Maintainer
 The purpose of this program is to make it easy to keep your local
 installation of Linux consistent with the Debian distribution
 available on many FTP sites, NFS mounts, or CD-ROM.  It does this by
 comparing the list of installed packages with those available by FTP
 or at a specified directory.  A list of packages, categorized to make
 selection easier, is then presented to the user to choose what to
 install.  All selected packages are then fetched if necessary (using
 FTP), verified for correctness, and then installed.
 .
 Dftp can also be run on a non-Debian machine in the case where the
 Debian machine does not have FTP access.  For this, stand-alone
 versions of dftp, in both "csh" and "perl" source, are available under
 /debian/project/misc.
