## dftp 3.0-3

=== debian/changelog ===
dftp (3.0-3) unstable; urgency=low

  * Fixed incorrect function call (Bug #7109)

 -- Rob Browning <osiris@cs.utexas.edu>  Tue, 4 Feb 1997 12:20:48 -0600

dftp (3.0-2) unstable; urgency=low

  * Changed maintainer field

 -- Rob Browning <osiris@cs.utexas.edu>  Sat, 1 Feb 1997 15:10:37 -0600

dftp (3.0-1) unstable; urgency=low

  * New upstream source with interactive selection mode and a number of
    other changes.  Try "dftp whatsnew".

 -- Rob Browning <osiris@cs.utexas.edu>  Wed, 29 Jan 1997 01:13:16 -0600
