=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dftp
 Section: admin
 Priority: optional
-Maintainer: Brian C. White <bcwhite@verisim.com>
+Maintainer: Rob Browning <osiris@cs.utexas.edu>
 Standards-Version: 2.1.1.0
 
 Package: dftp
