=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,7 @@
 #
 # Debian rules for building "dftp" package
 
-
-
 package	:= dftp
-maindir := $(HOME)/bin
-
-
 
 default:
 	@echo "What to do?"
@@ -15,21 +10,15 @@
 	@echo " - distfiles, clean, realclean"
 	@echo " "
 
-
 build:
 	$(checkdir)
-	-test -x $(maindir)/dftp && cp $(maindir)/dftp .
 	touch stamp-build
-
-
 
 clean:
 	$(checkdir)
 	-rm -f stamp-build
 	-rm -rf debian/tmp
 	find . \( -name "#*" -o -name "*~" \) -print | xargs rm -f
-
-
 
 binary:	checkroot build
 	-rm -rf debian/tmp
@@ -45,13 +34,9 @@
 	dpkg --build debian/tmp
 	dpkg-name -o -s .. debian/tmp.deb
 
-
-
 define checkdir
 	test -e dftp.conf
 endef
-
-
 
 dist:	source binary
 	cp dftp ../dftp_$(version)-$(debian).pl
