## dftp 4.4-1

=== debian/changelog ===
dftp (4.4-1) frozen unstable; urgency=low

  * Better handle cases where no packages are to be installed, specially
    when trying to order packages (error from pkg-order). Fixes: #21944

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Mon, 4 May 1998 16:35:20 +0200

dftp (4.3-2) frozen unstable; urgency=low

  * If "dpkg --audit" at end of dftp unpack suggested to configure
    remaining packages, the "dpkg --pending --configure" wasn't called
    with the --root-cmd. Fixes: #21141

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 28 Apr 1998 10:17:55 +0200

dftp (4.3-1) frozen unstable; urgency=low

  * Avoid various warnings about non-numeric things in own version
    comparing function (used on non-Debian systems).
  * Use new set_compare_method of Debian::Package::List on non-Debian
    systems, to avoid calling dpkg there. This makes dftp-standalone now
    really work on non-Debian systems. (Fixes: #20474)
  * Base package indices in sequential install prompts on 1 instead 0,
    because this is more intuitive for humans.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Fri, 3 Apr 1998 11:24:50 +0200

dftp (4.2-1) frozen unstable; urgency=low

  * Added test for Debian system on 'dftp installed'. (Fixes: #20172)
  * Mention existance of dftp-*-standalone.tar.gz in man page.
    (Fixes: #20172)
  * Fix conflicting with virtual packages. (Fixes: #20237)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 26 Mar 1998 13:22:03 +0100

dftp (4.1-1) unstable; urgency=low

  * Oops... dftp really needs the Filename: header field, it shouldn't be
    included in $pkgorder_ignored_headers.
  * Cleaned out 2.x "what's new" logs -- they're really old now.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Mon, 16 Mar 1998 15:53:50 +0100

dftp (4.0-2) unstable; urgency=low

  * Pass 'Ignored Headers' argument to Debian::Package::New::new, to
    preserve a good deal of memory. pkg-order doesn't implement this yet,
    but it will soon.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Fri, 13 Mar 1998 11:44:41 +0100

dftp (4.0-1) unstable; urgency=low

  * Implemented dependency and conflict checking on selected packages; the
    user can decide how to resolve problems.
  * pkg-order also orders packages before installation so that starting
    dpkg separately for each package isn't necessary anymore.
  * New option --root-cmd that allows to specify a command to get root
    priviledges for installing. Default is sudo. Fixes: #16496
  * Manually removed packages are detected and made unwanted automatically.
  * During package selection, you can also choose to remove a package
    during installation phase later.
  * In ask mode package selection, dftp now prints the section of packages
    to follow, if the section changes.
  * Section ordering has been changed so that e.g. non-free/misc is
    ordered after x11.
  * Default for 'include' preference now based on dists/ dir.
  * New [...] feature in include list to ease use of nonUS-subdir.
  * 'dftp clean' now removes only .deb files that have been installed
    successfully (according to .installed file). Empty directories are now
    also removed.
  * FTP actions (getlist and geselect) are now less verbose if verbose
    is not set.
  * On 'dftp unpack' the --skip-same-version flag for dpkg is used, to
    avoid unnecessary work in case someone wants to rerun that phase.
  * Modified debian/rules so that standalone dftp archive with section
    "byhand" is generated automatically. Also add a new README to that
    file with installation notes.
  * Updated manpage for all the changes.
  * Changed description text.
  * Moved manpage to section 8, since dftp installed in /usr/sbin.
  * Changed FSF address in copyright file (detected by Lintian).
  * Added dependency on pkg-order of sufficient version
  * Updated Standards-Version to 2.4.0.0 (no changes)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 11 Mar 1998 15:21:23 +0100

dftp (3.3-2) unstable; urgency=low

  * Fix some typos (:-() in last release. Fixes: #17181

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Fri, 16 Jan 1998 10:53:54 +0100

dftp (3.3-1) unstable; urgency=low

  * If you select 'purge' after an installation failure, dpkg is called
    with the package name now, not the full pathname. Fixes: #15491
  * New choice after installation failures: 'give up'. This can be
    convenient if you still have to fetch packages the failed one depends
    on, so it can't be installed anyway in this run. Fixes: #16422

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 15 Jan 1998 14:10:32 +0100

dftp (3.2-1) unstable; urgency=low

  * Fixed swapped arguments of diemsg (Fixes #12202)
  * Fixed some typos in the man page, thanks to Mikolaj Konarski for
    reporting (Fixes #12323)
  * Before downloading the packages list, also make directory hierarchies
    instead of single dirs for them (needed to handle e.g.
    dists/stable/main instead of stable). (Fixes #13807)
  * If dftp select doesn't run on a Debian system, we can't use dpkg
    --compare-versions. Written emulation for it in that case. (Fixes
    #12325)
  * New option --passive for using passive FTP. (Hopefully fixes #12177,
    but now reply from bug reporter yet...)
  * Run gzip on man page (Fixes #14568)
  * Make -help work again (Fixes #14322)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Fri, 7 Nov 1997 14:53:23 +0100

dftp (3.1-2) unstable; urgency=low

  * Forgot to bump version number...
  * Removed one unnecessary test for existance of .installed file.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 19 Aug 1997 13:43:50 +0200

dftp (3.1-1) unstable; urgency=low

  * Interim maintainer for dftp -- I just want to fix stuff that I need
  * Re-add .installed file, it was/is useful.
  * For file-based selection, also ignore updates to non-installed
    packages (formerly treated as "new")

