=== debian/control ===
Source: dftp
Section: admin
Priority: optional
Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
Standards-Version: 2.4.0.0

Package: dftp
Depends: perl, dpkg (>= 1.4), pkg-order (>= 1.02)
Architecture: all
Description: Alternative Debian package manager
 dftp is another program to maintain your Debian installation. It
 downloads the lists of currently available packages via FTP, compares
 them to the installed packages and lets you interactively select
 which new/upgraded packages you want to install. Dependencies of new
 packages are checked and missing packages offered for installing,
 too. Then all selected packages are fetched with FTP and verified for
 correctness. Installation of packages is done via dpkg, and ordered
 by dependencies.
 .
 dftp's main advantage over other interfaces to Debian package
 management is that it can (partially) run on a different machine than
 the target system, if that doesn't have direct FTP access. Scanning
 the current installation and installing packages must of course be
 done on the target system. But package selection and download can be
 moved to a different machine. dftp can also run on non-Debian
 systems. Therefore it is also available as a standalone version (Perl
 script) in /debian/project/misc.
