## dftp 4.5-1

=== debian/changelog ===
dftp (4.5-1) unstable; urgency=low

  * Don't think an empty .installed file is in old format. (Fixes: #23718)
  * New install=LIST command.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 27 Oct 1998 11:29:38 +0100
