## dftp 4.8-3

=== debian/changelog ===
dftp (4.8-3) frozen unstable; urgency=HIGH

  * Fix a /tmp vulnerability (tnx to Colin Phipps <crp22@cam.ac.uk>)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 3 Feb 2000 10:56:56 +0100

dftp (4.8-2) unstable; urgency=low

  * Add dependency on 'ftp'. (Closes: #45152, #47022)
  * Fixed version number in dftp script.
  * Added build dependencies (Standards-Version: 3.1.1)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 16 Dec 1999 10:34:27 +0100

dftp (4.8-1) unstable; urgency=low

  * Replaced a leftover direct call to dpkg --compare-versions by
    version_cmp.
  * FHS transition (Standards-Version: 3.0.1)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Fri, 12 Nov 1999 14:57:32 +0100

dftp (4.7-2) unstable; urgency=low

  * Changed perl dependency to perl5|perl.
  * Updated copyright file for new location /usr/share/common-licenses/GPL.
  * Updated Standards-Version to 3.0.0.
  
 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Mon, 5 Jul 1999 13:22:10 +0200

dftp (4.7-1) unstable; urgency=low

  * It now works to run 'dftp install=...' after 'dftp select'. In the
    past, the install= cleared out all previously selected packages.
  * 'dftp clean' now also removes .debs that are installed but are named
    name_version_arch.deb (e.g. downloaded from Incoming).
  * ftp now can handle multiple versions of the same package in the input
    Packages files. It picks the newest available version.
    (Closes #22381,#33180)
  * Now the internal version comparison function is always used by
    default, because it's *much* faster than calling dpkg all the time.
    There's a new option --correct-version-compare to force use of dpkg
    --compare-versions if needed.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Fri, 12 Feb 1999 14:24:23 +0100

dftp (4.6-2) unstable; urgency=low

  * Fix typos in printing {pre,post}inst-cmd. (Fixes: #32354)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Mon, 25 Jan 1999 10:21:31 +0100

dftp (4.6-1) unstable; urgency=low

  * New config vars/command line options preinst-cmd and postinst-cmd.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 13 Jan 1999 17:10:50 +0100
