=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
-Standards-Version: 2.4.0.0
+Build-Depends-Indep: pkg-order (>= 1.02)
+Standards-Version: 3.1.1
 
 Package: dftp
-Depends: perl, dpkg (>= 1.4), pkg-order (>= 1.02)
+Depends: perl5 | perl, ftp, dpkg (>= 1.4), pkg-order (>= 1.02)
 Architecture: all
 Description: Alternative Debian package manager
  dftp is another program to maintain your Debian installation. It
