=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 package	:= dftp
 version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
+docdir  := debian/tmp/usr/share/doc/$(package)
+mandir  := debian/tmp/usr/share/man/man8
 tarfile := $(package)-$(version)-standalone.tar
 sadir   := debian/tmp-standalone/dftp
 
@@ -20,15 +22,18 @@
 binary-indep:	checkroot build
 	$(checkdir)
 	-rm -rf debian/tmp
-	mkdir -p debian/tmp/DEBIAN debian/tmp/usr/doc/$(package)
-	mkdir -p debian/tmp/etc debian/tmp/usr/sbin debian/tmp/usr/man/man8
+	mkdir -p debian/tmp/DEBIAN $(docdir) $(mandir) debian/tmp/etc \
+			 debian/tmp/usr/sbin 
+	cp debian/conffiles debian/tmp/DEBIAN/conffiles
+	install -m755 debian/postinst debian/tmp/DEBIAN/
+	install -m755 debian/prerm debian/tmp/DEBIAN/
 	cp debian/conffiles debian/tmp/DEBIAN/conffiles
 	cp dftp.conf debian/tmp/etc
 	cp dftp debian/tmp/usr/sbin
-	cp dftp.8 debian/tmp/usr/man/man8
-	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
-	gzip -9f debian/tmp/usr/man/man8/dftp.8 debian/tmp/usr/doc/$(package)/*
-	cp debian/copyright debian/tmp/usr/doc/$(package)/copyright
+	cp dftp.8 $(mandir)
+	cp debian/changelog $(docdir)/changelog.Debian
+	gzip -9f $(mandir)/dftp.8 $(docdir)/*
+	cp debian/copyright $(docdir)/copyright
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg-gencontrol
